edu.ucsb.nceas.metacat.database

## Class DatabaseService

- java.lang.Object
- - edu.ucsb.nceas.metacat.shared.BaseService
  - - edu.ucsb.nceas.metacat.database.DatabaseService

-     public class DatabaseService
      extends BaseService

- - ### Field Summary

    - ### Fields inherited from class edu.ucsb.nceas.metacat.shared.BaseService

      `_serviceName`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.Object` | `createObject(java.lang.String className)` Instantiate a class using the name of the class at runtime
    `void` | `doRefresh()`
    `AbstractDatabase` | `getDBAdapter()` gets the database adapter
    `static DatabaseService` | `getInstance()` Get the single instance of DatabaseService.
    `boolean` | `refreshable()`
    `void` | `stop()`

    - ### Methods inherited from class edu.ucsb.nceas.metacat.shared.BaseService

      `refresh`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static DatabaseService getInstance()

      Get the single instance of DatabaseService.
      Returns:
        the single instance of DatabaseService

    - #### refreshable

          public boolean refreshable()

      Specified by:
        `refreshable` in class `BaseService`

    - #### doRefresh

          public void doRefresh()
                         throws ServiceException

      Specified by:
        `doRefresh` in class `BaseService`
      Throws:
        `ServiceException`

    - #### stop

          public void stop()
                    throws ServiceException

      Specified by:
        `stop` in class `BaseService`
      Throws:
        `ServiceException`

    - #### createObject

          public static java.lang.Object createObject(java.lang.String className)
                                               throws java.lang.Exception

      Instantiate a class using the name of the class at runtime
      Parameters:
        `className` - the fully qualified name of the class to instantiate
      Throws:
        `java.lang.Exception`

    - #### getDBAdapter

          public AbstractDatabase getDBAdapter()

      gets the database adapter
      Returns:
        AbstractDatabase object for this application's database adapter.

Copyright © 2023 Regents of the University of California. All Rights Reserved.